Subject: FVWM: FVWM on Solaris2.4

From: Webmaster <[email-masked]>
Date: Fri, 09 Feb 1996 14:10:28 -0500

Ok, this is nontechnical question on FVWM but I am seeking help on
how to get FVWM up and running on a SparcStation 4 with Solaris 2.4
that had a base configuration (fresh off the CDRom).

I am having trouble compiling the Xpm library. The process of xmkmf
does not seem to set up the Makefiles right. It keeps trying to use
cc. I checked site.def and sun.cf for the xmkmf bu quickly realized 
that I didn't know what I needed to change. Should I set something
like "HasGcc" in these files. One thing that clued me in on this was
that the compile kept trying to use -xF with gcc (I went into the
Makefile and changed it by hand). This option is set for cases when gcc
is not on the system. 

About the system:

Solaris 2.4 basic installation running openwindows and olwm(yuk!)

No cc compiler shipped with OS. I installed gcc-2.7.1 by copying it from
and identical machine. (That happened because gcc needs a compiler to
build itself and I didn't have one). 

Xpm not on the machine but I have thae package and have unsuccessfully
tried installation. The commands that are given for installation
in the Xpm distribution result in errors given here. Could someone help
me out and point me to a good resource on this. Anyone that has done the
procedure I am attempting would be great.

Thanks,
Chris Penland
[email-masked]
Duke University Biomedical Engineering

=======================================================================
bme-www#240 xmkmf
imake -I/usr/openwin/lib/config
bme-www#241 make Makefiles
making Makefiles in ./lib...
rm -f lib/Makefile.bak
+ cd lib 
+ imake -DUseInstalled -I/usr/openwin/lib/config -DTOPDIR=../.
-DCURDIR=./lib 
"/usr/openwin/lib/config/site.def", line 30: macro UseInstalled
redefines previous macro at "command line"
+ make Makefiles 
making Makefiles in ./sxpm...
rm -f sxpm/Makefile.bak
+ cd sxpm 
+ imake -DUseInstalled -I/usr/openwin/lib/config -DTOPDIR=../.
-DCURDIR=./sxpm 
"/usr/openwin/lib/config/site.def", line 30: macro UseInstalled
redefines previous macro at "command line"
+ make Makefiles 
bme-www#242 make includes
including in ./lib...
+ /bin/sh /usr/openwin/bin/mkdirhier .././X11/. 
mkdir: ".././X11/.": File exists
*** Error code 2
make: Fatal error: Command failed for target `includes'
Current working directory /www/wbm/xpm/xpm-3.4h/lib
*** Error code 1
make: Fatal error: Command failed for target `includes'
bme-www#243 make depend
depending in ./lib...
makedepend  -s "# DO NOT DELETE" -- -I.  -I/usr/openwin/include  -DSVR4
-DSYSV    -- data.c create.c misc.c rgb.c scan.c parse.c hashtab.c
CrBufFrI.c CrDatFrP.c CrPFrBuf.c RdFToI.c WrFFrI.c  CrBufFrP.c
CrIFrBuf.c CrPFrDat.c RdFToP.c WrFFrP.c  CrDatFrI.c CrIFrDat.c
RdFToDat.c WrFFrDat.c  Attrib.c CrIFrP.c CrPFrI.c Image.c Info.c
RdFToBuf.c WrFFrBuf.c
makedepend:  /usr/include/sys/types.h includes
/usr/include/sys/feature_tests.h more than once!
makedepend:  Already have
makedepend:     /usr/include/sys/feature_tests.h
makedepend:  data.c (reading XpmI.h): makedepend:  cannot find include
file "strings.h"
makedepend:     not in strings.h
makedepend:     not in ./strings.h
makedepend:     not in /usr/openwin/include/strings.h
makedepend:     not in /usr/include/strings.h
makedepend:  cannot open "strings.h"
depending in ./sxpm...
makedepend  -s "# DO NOT DELETE" -- -I..  -I/usr/openwin/include  -DSVR4
-DSYSV    -- sxpm.c
makedepend:  /usr/include/sys/types.h includes
/usr/include/sys/feature_tests.h more than once!
makedepend:  Already have
makedepend:     /usr/include/sys/feature_tests.h
bme-www#244 make
making all in ./lib...
make: Fatal error: Don't know how to make target `strings.h'
Current working directory /www/wbm/xpm/xpm-3.4h/lib
*** Error code 1
make: Fatal error: Command failed for target `all'

=======================================================================
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].